Freeciv-3.2: /fast/freeciv/nightly/S3_2/server/scripting/api_server_game_methods.c File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Functions
api_server_game_methods.c File Reference
`#include "research.h"`
`#include "luascript.h"`
`#include "aitraits.h"`
`#include "plrhand.h"`
`#include "script_server.h"`
`#include "api_server_game_methods.h"`

Go to the source code of this file.

## Functions

int | api_methods_player_trait (lua_State *L, Player *pplayer, const char *tname)
int | api_methods_player_trait_base (lua_State *L, Player *pplayer, const char *tname)
int | api_methods_player_trait_current_mod (lua_State *L, Player *pplayer, const char *tname)
void | api_methods_player_lose (lua_State *L, Player *pplayer, Player *looter)
int | api_methods_nation_trait_min (lua_State *L, Nation_Type *pnation, const char *tname)
int | api_methods_nation_trait_max (lua_State *L, Nation_Type *pnation, const char *tname)
int | api_methods_nation_trait_default (lua_State *L, Nation_Type *pnation, const char *tname)
int | api_methods_player_tech_bulbs (lua_State *L, Player *pplayer, Tech_Type *tech)
int | api_methods_player_free_bulbs (lua_State *L, Player *pplayer)

## Function Documentation

## ◆ api_methods_nation_trait_default()

int api_methods_nation_trait_default | ( | lua_State * | L,
|  | Nation_Type * | pnation,
|  | const char * | tname
| ) |  |

Return the default trait value that will be allocated for a nation

Definition at line 153 of file api_server_game_methods.c.

Referenced by tolua_server_Nation_Type_trait_default00().

## ◆ api_methods_nation_trait_max()

int api_methods_nation_trait_max | ( | lua_State * | L,
|  | Nation_Type * | pnation,
|  | const char * | tname
| ) |  |

Return the maximum random trait value that will be allocated for a nation

Definition at line 134 of file api_server_game_methods.c.

Referenced by tolua_server_Nation_Type_trait_max00().

## ◆ api_methods_nation_trait_min()

int api_methods_nation_trait_min | ( | lua_State * | L,
|  | Nation_Type * | pnation,
|  | const char * | tname
| ) |  |

Return the minimum random trait value that will be allocated for a nation

Definition at line 115 of file api_server_game_methods.c.

Referenced by tolua_server_Nation_Type_trait_min00().

## ◆ api_methods_player_free_bulbs()

int api_methods_player_free_bulbs | ( | lua_State * | L,
|  | Player * | pplayer
| ) |  |

Returns bulbs that can be freely transferred to a new research target.

Definition at line 214 of file api_server_game_methods.c.

Referenced by tolua_server_Player_properties_free_bulbs00().

## ◆ api_methods_player_lose()

void api_methods_player_lose | ( | lua_State * | L,
|  | Player * | pplayer,
|  | Player * | looter
| ) |  |

Mark the player as one who lost the game, optionally giving some loot to looter. This method only marks the nation for wipeout that happens only when kill_dying_players() does the reaper's job. FIXME: client may be not aware if its player is killed in a script.

Definition at line 99 of file api_server_game_methods.c.

Referenced by tolua_server_Player_lose00().

## ◆ api_methods_player_tech_bulbs()

int api_methods_player_tech_bulbs | ( | lua_State * | L,
|  | Player * | pplayer,
|  | Tech_Type * | tech
| ) |  |

In multiresearch mode, returns bulbs saved for a specific tech in pplayer's research. In other modes, returns the additional bulbs the player may get switching to this tech (negative for penalty)

Definition at line 175 of file api_server_game_methods.c.

Referenced by tolua_server_Player_bulbs_saved00().

## ◆ api_methods_player_trait()

int api_methods_player_trait | ( | lua_State * | L,
|  | Player * | pplayer,
|  | const char * | tname
| ) |  |

Return the current value of an AI trait in force (base+mod)

Definition at line 38 of file api_server_game_methods.c.

Referenced by tolua_server_Player_trait00().

## ◆ api_methods_player_trait_base()

int api_methods_player_trait_base | ( | lua_State * | L,
|  | Player * | pplayer,
|  | const char * | tname
| ) |  |

Return the current base value of an AI trait (not including Lua mod)

Definition at line 57 of file api_server_game_methods.c.

Referenced by tolua_server_Player_trait_base00().

## ◆ api_methods_player_trait_current_mod()

int api_methods_player_trait_current_mod | ( | lua_State * | L,
|  | Player * | pplayer,
|  | const char * | tname
| ) |  |

Return the current Lua increment to an AI trait (can be changed with api_edit_trait_mod_set())

Definition at line 77 of file api_server_game_methods.c.

Referenced by tolua_server_Player_trait_current_mod00().